%global momorel 3

Summary:   An open-source implementation of Google Gadgets platform for Linux
Name:      google-gadgets
Version:   0.10.5
Release:   %{momorel}m%{?dist}
License:   Apache
URL:       http://code.google.com/p/google-gadgets-for-linux/
Group:     User Interface/Desktops
Source0:   http://google-gadgets-for-linux.googlecode.com/files/google-gadgets-for-linux-%{version}.tar.bz2
NoSource:  0
Source1:   google-gadgets.desktop

BuildRequires: autoconf >= 2.50, automake >= 1.9, libtool >= 1.5.20
BuildRequires: SpiderMonkey >= 1.6.0, curl-devel >= 7.15.0
BuildRequires: openssl-devel, libxml2-devel >= 2.6.0, zlib-devel >= 1.2.0
BuildRequires: xulrunner-devel >= 1.8, dbus-devel >= 1.0.2, gstreamer-devel
BuildRequires: gstreamer-plugins-base-devel, cairo-devel >= 1.2.0
BuildRequires: gtk2-devel >= 2.10.0 qt-devel >= 4.4.3
Requires: SpiderMonkey >= 1.6.0, curl >= 7.15.0, openssl
Requires: libxml2 >= 2.6.0, zlib >= 1.2.0, xulrunner >= 1.8 dbus >= 1.0.2
Requires: gstreamer, gstreamer-plugins-base, cairo >= 1.2.0, gtk2 >= 2.10.0
Requires: qt >= 4.4.3

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%description
Google Gadgets for Linux provides a platform for running desktop gadgets
under Linux, catering to the unique needs of Linux users.

%package devel
Summary:  development libraries for google-gadgets
Group:    Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: dbus-devel gtk2-devel qt-devel

%description devel
development libraries for google-gadgets

%prep
%setup -q -n google-gadgets-for-linux-%{version}

%build
autotools/bootstrap.sh

case "`gcc -dumpversion`" in
4.4.*)
    CFLAGS="%{optflags} -fno-strict-aliasing"
    CXXFLAGS="%{optflags} -fno-strict-aliasing"
;;
esac

%configure --disable-update-mime-database --disable-update-desktop-database
%make

%install
rm -rf --preserve-root %{buildroot}

make DESTDIR=%{buildroot} install

mkdir -p %{buildroot}%{_datadir}/pixmaps/
mkdir -p %{buildroot}%{_datadir}/applications/

install -m 644 resources/google-gadgets.png %{buildroot}%{_datadir}/pixmaps/google-gadgets.png
install -m 644 %{SOURCE1} %{buildroot}%{_datadir}/applications/google-gadgets.desktop

find %{buildroot} -name "*.la" -delete

%clean
rm -rf --preserve-root %{buildroot}

%post
/sbin/ldconfig
update-desktop-database %{_datadir}/applications &> /dev/null
update-mime-database %{_datadir}/mime &> /dev/null

%postun
/sbin/ldconfig
update-desktop-database %{_datadir}/applications &> /dev/null
update-mime-database %{_datadir}/mime &> /dev/null

%files
%defattr(-,root,root)
%doc AUTHORS COPYING README
%{_bindir}/ggl-gtk
%{_bindir}/ggl-qt
%{_libdir}/lib*.so.*

%dir %{_libdir}/%{name}
%{_libdir}/%{name}/gtkmoz-browser-child
%dir %{_libdir}/%{name}/modules
%{_libdir}/%{name}/modules/*.so

%{_datadir}/%{name}
%{_datadir}/applications/ggl-designer.desktop
%{_datadir}/applications/ggl-gtk.desktop
%{_datadir}/applications/ggl-qt.desktop
%{_datadir}/applications/google-gadgets.desktop
%{_datadir}/mime/packages/00-google-gadgets.xml
%{_datadir}/pixmaps/google-gadgets.png
%{_datadir}/icons/hicolor/*/*/*.png

%files devel
%defattr(-, root, root)
%{_includedir}/google-gadgets
%{_libdir}/*.a
%{_libdir}/*.so
%{_libdir}/%{name}/modules/*.a
%dir %{_libdir}/%{name}/include
%dir %{_libdir}/%{name}/include/ggadget
%{_libdir}/%{name}/include/ggadget/sysdeps.h
%{_libdir}/pkgconfig/libggadget-1.0.pc
%{_libdir}/pkgconfig/libggadget-dbus-1.0.pc
%{_libdir}/pkgconfig/libggadget-gtk-1.0.pc
%{_libdir}/pkgconfig/libggadget-js-1.0.pc
%{_libdir}/pkgconfig/libggadget-npapi-1.0.pc
%{_libdir}/pkgconfig/libggadget-qt-1.0.pc
%{_libdir}/pkgconfig/libggadget-xdg-1.0.pc

%changelog
* Wed Feb  4 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.10.5-3m)
- build with -fno-strict-aliasing when gcc44

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.10.5-2m)
- rebuild against rpm-4.6

* Wed Jan 21 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (0.10.5-1m)
- update to 0.10.5 official release

* Sun Jan  4 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (0.10.5-0.20090104.1m)
- update to 0.10.5 20090104 svn snapshot

* Mon Dec 22 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.10.4-1m)
- update

* Fri Nov  7 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (0.10.3-0.20081107.1m)
- update 20081107 svn version

* Fri Oct 24 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (0.10.3-0.20081024.1m)
- update 20081024 svn version

* Sat Oct 11 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (0.10.3-0.20081011.1m)
- update 20081011 svn version

* Fri Oct  3 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (0.10.3-0.20081003.1m)
- update 20081003 svn version

* Sat Sep 20 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (0.10.3-0.20080919.1m)
- update 20080919 svn version

* Tue Aug 26 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.10.1-2m)
- fix %%files, configure options, %%post %%postun scripts, and devel Req

* Tue Aug 26 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.10.1-1m)
- update

* Sun Jul 27 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.9.3-2m)
- change BuildRequires: gst-plugins-base-devel to gstreamer-plugins-base-devel
- change Requires: gst-plugins-base to gstreamer-plugins-base

* Mon Jul  7 2008 Mitsuru Shimamura <smbd@momonga-linux.org>
- (0.9.3-1m)
- welcome to momonga
